import request from '@/utils/request'

// 查询设备参数列表
export function listDeviceParam(query) {
  return request({
    url: '/base/deviceParam/list',
    method: 'get',
    params: query
  })
}

// 查询设备参数详细
export function getDeviceParam(objId) {
  return request({
    url: '/base/deviceParam/' + objId,
    method: 'get'
  })
}

// 新增设备参数
export function addDeviceParam(data) {
  return request({
    url: '/base/deviceParam',
    method: 'post',
    data: data
  })
}

// 修改设备参数
export function updateDeviceParam(data) {
  return request({
    url: '/base/deviceParam',
    method: 'put',
    data: data
  })
}

// 删除设备参数
export function delDeviceParam(objId) {
  return request({
    url: '/base/deviceParam/' + objId,
    method: 'delete'
  })
}
